List user subscriptions
curl --request GET \
--url https://api.extole.io/v6/users/{user_id}/subscriptions \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/users/{user_id}/subscriptions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/users/{user_id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"channels": [
{
"id": "<string>",
"type": "EMAIL"
}
],
"dedupe_duration_ms": 123,
"filter_expression": true,
"filtering_level": "ALL",
"having_all_tags": [
"<string>"
],
"subscription_id": "<string>"
}
]User Subscriptions
List user subscriptions
Returns all notification subscriptions for the specified Extole user. Subscriptions define which report or alert events the user wants to be notified about and through which channel (email, Slack, webhook).
GET
https://api.extole.io
/
v6
/
users
/
{user_id}
/
subscriptions
List user subscriptions
Authorizations
HEADERQUERYCOOKIE
Path Parameters
The unique identifier of this user at Extole.
Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
filter_expression
Static Value · booleanRuntime - Handlebars · stringRuntime - Javascript · string
required
The filter expression as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use UserSubscriptionFilterContext.
Available options:
ALL, NONE, NOTEWORTHY, SOME 